package com.railway.business.catenary.mapper;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJlgzPic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 接触网-记录故障-照片表
* @author author
* @date 2021/10/16
*/
@Mapper
@Repository
public interface BusJlgzPicMapper {

    /**
    * 新增
    */
    int insert(BusJlgzPic busJlgzPic);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
     * 通过jlgzId删除
     * @param jlgzId
     * @return
     */
    int deleteByJlgzId(@Param("jlgzId") Long jlgzId);

    /**
    * 更新
    */
    int update(BusJlgzPic busJlgzPic);

    /**
    * 获取单个
    */
    BusJlgzPic getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusJlgzPic> getList(BusJlgzPic busJlgzPic);

}
